Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.LEAVE_REASON

    java.lang.Object
      java.lang.Enum<Skype.LEAVE_REASON>
          com.skype.api.Skype.LEAVE_REASON

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Skype.LEAVE_REASON>

Enclosing class:
  Skype

    public static enum Skype.LEAVE_REASON

extends java.lang.Enum<Skype.LEAVE_REASON>

Enum Constant Summary
`LEAVE_REASON_NONE`
`LIVE_BLOCKED_BY_PRIVACY_SETTINGS`
`LIVE_BLOCKED_BY_US`
`LIVE_BUSY`
`LIVE_CONNECTION_DROPPED`
`LIVE_EMERGENCY_CALL_DENIED`
`LIVE_ERROR` live: Fallback error
`LIVE_INSUFFICIENT_FUNDS`
`LIVE_INTERNAL_ERROR`
`LIVE_INTERNET_CONNECTION_LOST`
`LIVE_LEGACY_ERROR`
`LIVE_MANUAL` live: User hung up
`LIVE_NO_ANSWER`
`LIVE_NO_SKYPEOUT_SUBSCRIPTION`
`LIVE_NUMBER_UNAVAILABLE`
`LIVE_PLAYBACK_ERROR` live: Voicemail playback failed
`LIVE_PSTN_BUSY`
`LIVE_PSTN_CALL_REJECTED`
`LIVE_PSTN_CALL_TERMINATED`
`LIVE_PSTN_CALL_TIMED_OUT`
`LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY`
`LIVE_PSTN_INVALID_NUMBER`
`LIVE_PSTN_MISC_ERROR`
`LIVE_PSTN_NETWORK_ERROR`
`LIVE_PSTN_NUMBER_FORBIDDEN`
`LIVE_RECORDING_FAILED` live: Voicemail recording failed
`LIVE_SKYPEOUT_ACCOUNT_BLOCKED`
`LIVE_TRANSFER_FAILED`
`LIVE_TRANSFER_INSUFFICIENT_FUNDS`
`LIVE_UNABLE_TO_CONNECT`
`RETIRED_ADDER_MUST_BE_AUTHORIZED` automatic
`RETIRED_ADDER_MUST_BE_FRIEND` automatic
`RETIRED_DECLINE_ADD` manual reason (afaik no UI uses this)
`RETIRED_UNSUBSCRIBE` manual reason
`RETIRED_USER_INCAPABLE` automatic, user cannot chat (only some older versions might set this)

Method Summary
`static Skype.LEAVE_REASON` | `fromString(java.lang.String s)`
`static Skype.LEAVE_REASON` | `get(int code)`
`int` | `getId()`
`static Skype.LEAVE_REASON` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.LEAVE_REASON[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LEAVE_REASON_NONE

    public static final Skype.LEAVE_REASON LEAVE_REASON_NONE

### RETIRED_USER_INCAPABLE

    public static final Skype.LEAVE_REASON RETIRED_USER_INCAPABLE

  automatic, user cannot chat (only some older versions might set this)

### RETIRED_ADDER_MUST_BE_FRIEND

    public static final Skype.LEAVE_REASON RETIRED_ADDER_MUST_BE_FRIEND

  automatic

### RETIRED_ADDER_MUST_BE_AUTHORIZED

    public static final Skype.LEAVE_REASON RETIRED_ADDER_MUST_BE_AUTHORIZED

  automatic

### RETIRED_DECLINE_ADD

    public static final Skype.LEAVE_REASON RETIRED_DECLINE_ADD

  manual reason (afaik no UI uses this)

### RETIRED_UNSUBSCRIBE

    public static final Skype.LEAVE_REASON RETIRED_UNSUBSCRIBE

  manual reason

### LIVE_NO_ANSWER

    public static final Skype.LEAVE_REASON LIVE_NO_ANSWER

### LIVE_MANUAL

    public static final Skype.LEAVE_REASON LIVE_MANUAL

  live: User hung up

### LIVE_BUSY

    public static final Skype.LEAVE_REASON LIVE_BUSY

### LIVE_CONNECTION_DROPPED

    public static final Skype.LEAVE_REASON LIVE_CONNECTION_DROPPED

### LIVE_NO_SKYPEOUT_SUBSCRIPTION

    public static final Skype.LEAVE_REASON LIVE_NO_SKYPEOUT_SUBSCRIPTION

### LIVE_INSUFFICIENT_FUNDS

    public static final Skype.LEAVE_REASON LIVE_INSUFFICIENT_FUNDS

### LIVE_INTERNET_CONNECTION_LOST

    public static final Skype.LEAVE_REASON LIVE_INTERNET_CONNECTION_LOST

### LIVE_SKYPEOUT_ACCOUNT_BLOCKED

    public static final Skype.LEAVE_REASON LIVE_SKYPEOUT_ACCOUNT_BLOCKED

### LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY

    public static final Skype.LEAVE_REASON LIVE_PSTN_COULD_NOT_CONNECT_TO_SKYPE_PROXY

### LIVE_PSTN_INVALID_NUMBER

    public static final Skype.LEAVE_REASON LIVE_PSTN_INVALID_NUMBER

### LIVE_PSTN_NUMBER_FORBIDDEN

    public static final Skype.LEAVE_REASON LIVE_PSTN_NUMBER_FORBIDDEN

### LIVE_PSTN_CALL_TIMED_OUT

    public static final Skype.LEAVE_REASON LIVE_PSTN_CALL_TIMED_OUT

### LIVE_PSTN_BUSY

    public static final Skype.LEAVE_REASON LIVE_PSTN_BUSY

### LIVE_PSTN_CALL_TERMINATED

    public static final Skype.LEAVE_REASON LIVE_PSTN_CALL_TERMINATED

### LIVE_PSTN_NETWORK_ERROR

    public static final Skype.LEAVE_REASON LIVE_PSTN_NETWORK_ERROR

### LIVE_NUMBER_UNAVAILABLE

    public static final Skype.LEAVE_REASON LIVE_NUMBER_UNAVAILABLE

### LIVE_PSTN_CALL_REJECTED

    public static final Skype.LEAVE_REASON LIVE_PSTN_CALL_REJECTED

### LIVE_PSTN_MISC_ERROR

    public static final Skype.LEAVE_REASON LIVE_PSTN_MISC_ERROR

### LIVE_INTERNAL_ERROR

    public static final Skype.LEAVE_REASON LIVE_INTERNAL_ERROR

### LIVE_UNABLE_TO_CONNECT

    public static final Skype.LEAVE_REASON LIVE_UNABLE_TO_CONNECT

### LIVE_RECORDING_FAILED

    public static final Skype.LEAVE_REASON LIVE_RECORDING_FAILED

  live: Voicemail recording failed

### LIVE_PLAYBACK_ERROR

    public static final Skype.LEAVE_REASON LIVE_PLAYBACK_ERROR

  live: Voicemail playback failed

### LIVE_LEGACY_ERROR

    public static final Skype.LEAVE_REASON LIVE_LEGACY_ERROR

### LIVE_BLOCKED_BY_PRIVACY_SETTINGS

    public static final Skype.LEAVE_REASON LIVE_BLOCKED_BY_PRIVACY_SETTINGS

### LIVE_ERROR

    public static final Skype.LEAVE_REASON LIVE_ERROR

  live: Fallback error

### LIVE_TRANSFER_FAILED

    public static final Skype.LEAVE_REASON LIVE_TRANSFER_FAILED

### LIVE_TRANSFER_INSUFFICIENT_FUNDS

    public static final Skype.LEAVE_REASON LIVE_TRANSFER_INSUFFICIENT_FUNDS

### LIVE_BLOCKED_BY_US

    public static final Skype.LEAVE_REASON LIVE_BLOCKED_BY_US

### LIVE_EMERGENCY_CALL_DENIED

    public static final Skype.LEAVE_REASON LIVE_EMERGENCY_CALL_DENIED

Method Detail

### values

    public static Skype.LEAVE_REASON[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.LEAVE_REASON c : Skype.LEAVE_REASON.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.LEAVE_REASON valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Skype.LEAVE_REASON get(int code)

### fromString

    public static Skype.LEAVE_REASON fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.